Subject: [PATCH 1/2] usb: change the dependency chain for LPC32XX and ISP1301

From: [email-masked] (Sebastian Andrzej Siewior)
Date: Thu, 23 Aug 2012 10:29:04 +0200

On 08/23/2012 10:18 AM, Roland Stigge wrote:
> On 08/23/2012 09:21 AM, Sebastian Andrzej Siewior wrote:
>> On 08/23/2012 12:16 AM, Roland Stigge wrote:
>>> This issue could be resolved in a different way: Have you followed the
>>> discussion at linux-arm-kernel at lists.infradead.org on 2012-08-20,
>>> Subject "i2c: pnx: Fix bit definitions"? If nothing unexpected turns
>>> out, PNX4008 should probably be removed altogether. (Practically
>>> abandoned arch for 6 years.) Easily possible for v3.7.
>>
>> Ach. I assumed that is being merged. The PNX arch does not define
>> USB_ARCH_HAS_OHCI so I goes that you can't select it there?
>
> Yes, this issue will be gone also.
>
>>> Then, the resulting solution is much simpler and Sebastian's patch
>>> obsolete.
>>
>> That would be what?
>
> Well, your idea won't be obsolete completely. :-) But much simpler
> without all the "PNX4008 || LPC32XX" stuff. Following Alan's proposal,
> I'd prefer not introducing new symbols, and much of the "PNX4008 ||
> LPC32XX" logic won't be necessary anymore.
>
> For the PNX4008 removal - should I already post a patch to build the
> respective changes on top of, without PNX4008 references?

If nobody cares about PNX4008 and nobody tested if it actually works in
the OHCI mode I don't see the point in keeping it around especially if
there are rumors to remove the arch.

It would be nice, if you could manage to compile this thingy without
I2C. In the end one could attach something different than isp1301, no?
So I think, in the perfect world you would probe for your phy and
notice that it is not there and print a message: "Dude! Select isp1301
for OHCI, aight?!"

> Thanks,
> Roland

Sebastian